Consumables
The consumables resource.
Basehttps://rest.carbon.ms/consumables
GET
/consumablesList consumabless
Retrieve a paginated list of consumabless. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/consumables
curl --request GET \
--url 'https://rest.carbon.ms/consumables?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"active": true,
"assignee": "string",
"defaultMethodType": "string",
"description": "string",
"itemTrackingType": "string",
"replenishmentSystem": "string"
}
]GET
/consumablesRetrieve a consumables
Fetch a single consumables by filtering on `id`.
Query parameters
idstringMatch on the consumables's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/consumables
curl --request GET \
--url 'https://rest.carbon.ms/consumables?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"active": true,
"assignee": "string",
"defaultMethodType": "string",
"description": "string",
"itemTrackingType": "string",
"replenishmentSystem": "string"
}